Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class HopObject

    Object
       |
       +--HopObject

class HopObject

Method Summary
`String` | `getAccessName(<Object> obj, <Number> maxLength)` Constructs a name from an object which is unique in the underlying HopObject collection.
`Boolean` | `isClean()` Returns true if the internal state of this HopObject is CLEAN.
`Boolean` | `isDeleted()` Returns true if the internal state of this HopObject is DELETED.
`Boolean` | `isInvalid()` Returns true if the internal state of this HopObject is INVALID.
`Boolean` | `isModified()` Returns true if the internal state of this HopObject is MODIFIED.
`Boolean` | `isNew()` Returns true if the internal state of this HopObject is NEW.
`Boolean` | `isTransient()` Returns true if the internal state of this HopObject is TRANSIENT.
`Boolean` | `isVirtual()` Returns true if the internal state of this HopObject is VIRTUAL.

Method Detail

### getAccessName

    String getAccessName(<Object> obj, <Number> maxLength)

Constructs a name from an object which is unique in the underlying HopObject collection.

Parameters:

`obj` - The object representing or containing the alias name. Possible object types include:

- File
- helma.File
- java.io.File
- String
- java.lang.String
- Packages.helma.util.MimePart

`maxLength` - The maximum length of the alias

Returns:

The resulting alias

### isClean

    Boolean isClean()

Returns true if the internal state of this HopObject is CLEAN.

Returns:

True if this HopObject is marked as clean, false otherwise.

### isDeleted

    Boolean isDeleted()

Returns true if the internal state of this HopObject is DELETED.

Returns:

True if this HopObject is marked as deleted, false otherwise.

### isInvalid

    Boolean isInvalid()

Returns true if the internal state of this HopObject is INVALID.

Returns:

True if this HopObject is marked as invalid, false otherwise.

### isModified

    Boolean isModified()

Returns true if the internal state of this HopObject is MODIFIED.

Returns:

True if this HopObject is marked as modified, false otherwise.

### isNew

    Boolean isNew()

Returns true if the internal state of this HopObject is NEW.

Returns:

True if this HopObject is marked as new, false otherwise.

### isTransient

    Boolean isTransient()

Returns true if the internal state of this HopObject is TRANSIENT.

Returns:

True if this HopObject is marked as transient, false otherwise.

### isVirtual

    Boolean isVirtual()

Returns true if the internal state of this HopObject is VIRTUAL.

Returns:

True if this HopObject is marked as virtual, false otherwise.

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008